%define upname libvpl-tools

Name:           vpl-tools
Version:        1.4.0
Release:        %mkrel 3
Summary:        Intel Video Processing Library (Intel VPL) Tools
License:        MIT
Group:          System/Libraries
URL:            https://intel.github.io/libvpl
Source0:        https://github.com/intel/libvpl-tools/archive/v%{version}/%{upname}-%{version}.tar.gz
Patch0:         u_buildfix-i586.patch
Patch1:         libvpl-tools-system-analyzer.patch
Patch2:         libvpl-tools-use-system-gtest.patch
Patch3:         libvpl-tools-missing-include.patch

ExclusiveArch:  x86_64 %{ix86}

BuildRequires:  cmake
BuildRequires:  pkgconfig(gtest)
BuildRequires:  pkgconfig(vpl) >= 2.11.0
BuildRequires:  pkgconfig(libdrm) >= 2.4.91
BuildRequires:  pkgconfig(libva) >= 1.2
BuildRequires:  pkgconfig(libva-drm) >= 1.2
BuildRequires:  pkgconfig(libva-x11) >= 1.10.0
BuildRequires:  pkgconfig(pciaccess)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols) >= 1.15
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(x11-xcb)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-dri3)
BuildRequires:  pkgconfig(xcb-present)

%description
Intel Video Processing Library (Intel VPL) tools provide access to hardware
accelerated video decode, encode, and frame processing capabilities on Intel
GPUs from the command line.

The tools require the Intel VPL base library and a runtime library installed.
Current runtime implementations:

- Intel VPL GPU Runtime for use on Intel Iris Xe graphics and newer
- Intel Media SDK for use on legacy Intel graphics

%prep
%autosetup -p1 -n %{upname}-%{version}

# delete bundled googletest
rm -rf ext/*

%build
%cmake \
    -DBUILD_TESTS=ON \
    -DTOOLS_ENABLE_OPENCL=ON
%cmake_build

%install
%cmake_install

rm -rf %{buildroot}%{_libdir}/libcttmetrics.so
rm -rf %{buildroot}%{_libdir}/%{name}/libvpl_wayland.so

%check
%ctest

%files
%license LICENSE
%doc README.md third-party-programs.txt
%{_bindir}/metrics_monitor
%{_bindir}/sample_decode
%{_bindir}/sample_encode
%{_bindir}/sample_multi_transcode
%{_bindir}/sample_vpp
%{_bindir}/system_analyzer
%{_bindir}/val-surface-sharing
%{_bindir}/vpl-import-export
%{_bindir}/vpl-inspect
%{_libdir}/libcttmetrics.so.*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libvpl_wayland.so.*


%changelog
* Tue Jun 17 2025 daviddavid <daviddavid> 1.4.0-3.mga10
+ Revision: 2192140
- add patch to fix system-analyzer libva detection

* Tue Jun 17 2025 daviddavid <daviddavid> 1.4.0-2.mga10
+ Revision: 2192135
- initial package vpl-tools

